local fn = _gn(0x2FDFF4107B8C1147)
--- Returns true if the object has finished moving.
-- If false, moves the object towards the specified X, Y and Z coordinates with the specified X, Y and Z speed.
-- See also: https://gtagmodding.com/opcode-database/opcode/034E/
-- Has to be looped until it returns true.
function Global.SlideObject(object, toX, toY, toZ, speedX, speedY, speedZ, collision)
	return _in2(fn, object, toX, toY, toZ, speedX, speedY, speedZ, collision, _r)
end
